$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.516-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.516-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '0E903FD1892842E0F94DE0080A5ADB2305F7D67DAFC8235B2F253769C97162A7'
  checksumType = 'sha256'
  checksum64 = '0E903FD1892842E0F94DE0080A5ADB2305F7D67DAFC8235B2F253769C97162A7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.516-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
